> ## Documentation Index
> Fetch the complete documentation index at: https://upstash.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel In-Progress Failure Callback

> Cancel an in-progress failure callback for a failed workflow.

When you retry a failed failure callback using the POST endpoint, it enters an in-progress state.
This endpoint allows you to cancel that in-progress callback before it completes.

The callback must be in an in-progress state. If there's no in-progress callback,
the request will fail with a 400 error.




## OpenAPI

````yaml /workflow/openapi.yaml delete /v2/workflows/dlq/callback/{dlqId}
openapi: 3.1.0
info:
  title: Upstash Workflow REST API
  description: >
    Upstash Workflow is a serverless workflow orchestration service built on top
    of Upstash QStash and Upstash Redis.
  version: 2.0.0
  contact:
    name: Upstash
    url: https://upstash.com
servers:
  - url: https://qstash.upstash.io
security:
  - bearerAuth: []
  - bearerAuthQuery: []
paths:
  /v2/workflows/dlq/callback/{dlqId}:
    delete:
      tags:
        - DLQ
      summary: Cancel In-Progress Failure Callback
      description: >
        Cancel an in-progress failure callback for a failed workflow.


        When you retry a failed failure callback using the POST endpoint, it
        enters an in-progress state.

        This endpoint allows you to cancel that in-progress callback before it
        completes.


        The callback must be in an in-progress state. If there's no in-progress
        callback,

        the request will fail with a 400 error.
      parameters:
        - in: path
          name: dlqId
          required: true
          schema:
            type: string
          description: >-
            The DLQ ID of the workflow run whose in-progress failure callback
            should be canceled.
      responses:
        '302':
          description: Failure callback canceled successfully
        '400':
          description: >-
            Bad Request - No in-progress failure callback to cancel, or callback
            information is invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Failure callback not found or message not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: QStash authentication token
    bearerAuthQuery:
      type: apiKey
      in: query
      name: qstash_token
      description: QStash authentication token passed as a query parameter

````